%define url_ver %(echo %{version}|cut -d. -f1,2)

Summary: GNOME Settings Daemon
Name: gnome-settings-daemon
Version: 3.16.2
Release: 1
License: GPLv2+
Group: Graphical desktop/GNOME
URL: http://www.gnome.org/
Source0: ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz

BuildRequires:	cups-devel
BuildRequires:	docbook-style-xsl
BuildRequires:	gnome-common
BuildRequires:	intltool, xsltproc
BuildRequires:	ldetect-lst
BuildRequires:	pkgconfig(colord)
BuildRequires:	pkgconfig(dbus-1) >= 1.1.2
BuildRequires:	pkgconfig(dbus-glib-1) >= 0.74
BuildRequires:	pkgconfig(fontconfig)
BuildRequires:	pkgconfig(gconf-2.0)
BuildRequires:	pkgconfig(geoclue-2.0)
BuildRequires:	pkgconfig(geocode-glib-1.0)
BuildRequires:	pkgconfig(glib-2.0) >= 2.29.14
BuildRequires:	pkgconfig(gnome-desktop-3.0) >= 3.1.5
BuildRequires:	pkgconfig(gsettings-desktop-schemas) >= 3.2.0
BuildRequires:	pkgconfig(gtk+-3.0) >= 3.3.4
BuildRequires:	pkgconfig(gudev-1.0)
BuildRequires:	pkgconfig(gweather-3.0)
BuildRequires:	pkgconfig(ibus-1.0)
BuildRequires:	pkgconfig(kbproto)
BuildRequires:	pkgconfig(lcms2) >= 2.2
BuildRequires:	pkgconfig(libcanberra-gtk3)
BuildRequires:	pkgconfig(libgnomekbd) >= 2.91.1
BuildRequires:	pkgconfig(libgnomekbdui) >= 2.91.1
BuildRequires:	pkgconfig(libnm-glib)
BuildRequires:	pkgconfig(libnm-util)
BuildRequires:	pkgconfig(libnm-glib-vpn)
BuildRequires:	pkgconfig(libnotify) >= 0.7.3,
BuildRequires:	pkgconfig(libpulse) >= 0.9.16
BuildRequires:	pkgconfig(libpulse-mainloop-glib) >= 0.9.16
BuildRequires:	pkgconfig(librsvg-2.0)
BuildRequires:	pkgconfig(libsystemd-login)
BuildRequires:	pkgconfig(libwacom)
BuildRequires:	pkgconfig(libxklavier) >= 5.0
BuildRequires:	pkgconfig(nss) >= 3.11.2,
BuildRequires:	pkgconfig(polkit-gobject-1) >= 0.97
BuildRequires:	pkgconfig(systemd)
BuildRequires:	pkgconfig(upower-glib) >= 0.9.1
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(xfixes)
BuildRequires:	pkgconfig(xi)
BuildRequires:	pkgconfig(xkeyboard-config)
BuildRequires:	pkgconfig(xorg-wacom)

%description
GNOME settings daemon manages the configuration of the desktop in the
background.

%package devel
Summary:	Include files for the GNOME settings daemon
Group:		Development/GNOME and GTK+

%description devel
Include files for the GNOME settings daemon

%prep
%setup -q
%apply_patches


%build
autoreconf -fi
%configure2_5x \
	--disable-static \
	--enable-profiling

%make

%install
%makeinstall_std xmldir=%{buildroot}%{_datadir}/gnome-control-center/keybindings
find %{buildroot} -name '*.la' -exec rm -f {} ';'

%{find_lang} %{name} --with-gnome --all-name

%pre
if [ -d %{_libexecdir}/%{name} ]
  then rm -rf %{_libexecdir}/%{name} 
fi

%files -f %{name}.lang
%doc AUTHORS COPYING NEWS
%dir %{_libdir}/gnome-settings-daemon-3.0

# list plugins explicitly, so we notice if one goes missing
# some of these don't have a separate gschema
%{_libdir}/gnome-settings-daemon-3.0/a11y-keyboard.gnome-settings-plugin
%{_libdir}/gnome-settings-daemon-3.0/liba11y-keyboard.so

%{_libdir}/gnome-settings-daemon-3.0/power.gnome-settings-plugin
%{_libdir}/gnome-settings-daemon-3.0/libpower.so
%{_datadir}/glib-2.0/schemas/org.gnome.settings-daemon.plugins.power.gschema.xml

%{_libdir}/gnome-settings-daemon-3.0/clipboard.gnome-settings-plugin
%{_libdir}/gnome-settings-daemon-3.0/libclipboard.so

%{_libdir}/gnome-settings-daemon-3.0/housekeeping.gnome-settings-plugin
%{_libdir}/gnome-settings-daemon-3.0/libhousekeeping.so
%{_datadir}/glib-2.0/schemas/org.gnome.settings-daemon.plugins.housekeeping.gschema.xml

%{_libdir}/gnome-settings-daemon-3.0/keyboard.gnome-settings-plugin
%{_libdir}/gnome-settings-daemon-3.0/libkeyboard.so
%{_datadir}/glib-2.0/schemas/org.gnome.settings-daemon.plugins.keyboard.gschema.xml

%{_libdir}/gnome-settings-daemon-3.0/media-keys.gnome-settings-plugin
%{_libdir}/gnome-settings-daemon-3.0/libmedia-keys.so
%{_datadir}/glib-2.0/schemas/org.gnome.settings-daemon.plugins.media-keys.gschema.xml

%{_libdir}/gnome-settings-daemon-3.0/mouse.gnome-settings-plugin
%{_libdir}/gnome-settings-daemon-3.0/libmouse.so

%{_libdir}/gnome-settings-daemon-3.0/print-notifications.gnome-settings-plugin
%{_libdir}/gnome-settings-daemon-3.0/libprint-notifications.so
%{_datadir}/glib-2.0/schemas/org.gnome.settings-daemon.plugins.print-notifications.gschema.xml

%{_libdir}/gnome-settings-daemon-3.0/sound.gnome-settings-plugin
%{_libdir}/gnome-settings-daemon-3.0/libsound.so

%{_libdir}/gnome-settings-daemon-3.0/wacom.gnome-settings-plugin
%{_libdir}/gnome-settings-daemon-3.0/libgsdwacom.so
%{_datadir}/glib-2.0/schemas/org.gnome.settings-daemon.peripherals.gschema.xml
%{_datadir}/glib-2.0/schemas/org.gnome.settings-daemon.peripherals.wacom.gschema.xml

%{_libdir}/gnome-settings-daemon-3.0/xrandr.gnome-settings-plugin
%{_libdir}/gnome-settings-daemon-3.0/libxrandr.so
%{_datadir}/glib-2.0/schemas/org.gnome.settings-daemon.plugins.xrandr.gschema.xml

%{_libdir}/gnome-settings-daemon-3.0/xsettings.gnome-settings-plugin
%{_libdir}/gnome-settings-daemon-3.0/libxsettings.so
%{_datadir}/glib-2.0/schemas/org.gnome.settings-daemon.plugins.xsettings.gschema.xml

%{_libdir}/gnome-settings-daemon-3.0/a11y-settings.gnome-settings-plugin
%{_libdir}/gnome-settings-daemon-3.0/liba11y-settings.so

%{_libdir}/gnome-settings-daemon-3.0/color.gnome-settings-plugin
%{_libdir}/gnome-settings-daemon-3.0/libcolor.so
%{_datadir}/glib-2.0/schemas/org.gnome.settings-daemon.plugins.color.gschema.xml

%{_libdir}/gnome-settings-daemon-3.0/libgsd.so

%{_libdir}/gnome-settings-daemon-3.0/orientation.gnome-settings-plugin
%{_libdir}/gnome-settings-daemon-3.0/liborientation.so
%{_datadir}/glib-2.0/schemas/org.gnome.settings-daemon.plugins.orientation.gschema.xml

%{_libdir}/gnome-settings-daemon-3.0/libsharing.so
%{_libdir}/gnome-settings-daemon-3.0/sharing.gnome-settings-plugin
%{_datadir}/glib-2.0/schemas/org.gnome.settings-daemon.plugins.sharing.gschema.xml

%{_libdir}/gnome-settings-daemon-3.0/libscreensaver-proxy.so
%{_libdir}/gnome-settings-daemon-3.0/screensaver-proxy.gnome-settings-plugin

%{_libdir}/gnome-settings-daemon-3.0/libdatetime.so
%{_libdir}/gnome-settings-daemon-3.0/datetime.gnome-settings-plugin

%{_libdir}/gnome-settings-daemon-3.0/librfkill.so
%{_libdir}/gnome-settings-daemon-3.0/rfkill.gnome-settings-plugin

%{_libdir}/gnome-settings-daemon-3.0/libsmartcard.so
%{_libdir}/gnome-settings-daemon-3.0/smartcard.gnome-settings-plugin

%{_libexecdir}/gnome-settings-daemon
%{_libexecdir}/gsd-backlight-helper
%{_libexecdir}/gsd-locate-pointer
%{_libexecdir}/gsd-printer
%{_libexecdir}/gsd-wacom-led-helper
%{_libexecdir}/gsd-list-wacom
%{_libexecdir}/gsd-test-wacom
%{_libexecdir}/gsd-test-a11y-keyboard
%{_libexecdir}/gsd-test-a11y-settings
%{_libexecdir}/gsd-test-input-helper
%{_libexecdir}/gsd-test-keyboard
%{_libexecdir}/gsd-test-media-keys
%{_libexecdir}/gsd-test-mouse
%{_libexecdir}/gsd-test-orientation
%{_libexecdir}/gnome-settings-daemon-localeexec
%{_libexecdir}/gsd-test-datetime
%{_libexecdir}/gsd-test-rfkill
%{_libexecdir}/gsd-test-smartcard
%{_libexecdir}/gsd-wacom-oled-helper

/usr/lib/udev/rules.d/61-gnome-settings-daemon-rfkill.rules

%{_libexecdir}/gsd-test-housekeeping
%{_libexecdir}/gsd-test-xrandr
%{_libexecdir}/gsd-test-print-notifications
%{_libexecdir}/gsd-test-sound
%{_libexecdir}/gsd-test-wacom-osd
%{_libexecdir}/gsd-test-xsettings
%{_libexecdir}/gsd-test-screensaver-proxy

%{_datadir}/gnome-settings-daemon/

%{_sysconfdir}/xdg/autostart/gnome-settings-daemon.desktop

%{_datadir}/icons/hicolor/*/apps/gsd-xrandr.*

%{_datadir}/polkit-1/actions/org.gnome.settings-daemon.plugins.power.policy
%{_datadir}/polkit-1/actions/org.gnome.settings-daemon.plugins.wacom.policy

%{_datadir}/GConf/gsettings/gnome-settings-daemon.convert

%{_datadir}/glib-2.0/schemas/org.gnome.settings-daemon.enums.xml
%{_datadir}/glib-2.0/schemas/org.gnome.settings-daemon.plugins.gschema.xml
%{_datadir}/glib-2.0/schemas/org.gnome.settings-daemon.plugins.datetime.gschema.xml

%{_datadir}/man/man1/gnome-settings-daemon.1.*

%files devel
%{_includedir}/gnome-settings-daemon-3.0
%{_libdir}/pkgconfig/gnome-settings-daemon.pc
%dir %{_datadir}/gnome-settings-daemon-3.0
%{_datadir}/gnome-settings-daemon-3.0/input-device-example.sh

%changelog

* Tue May 12 2015 Tigro <ashejn@yandex-team.ru> 3.16.2-1
- (ae5c16e) update to 3.16.2

* Wed Apr 15 2015 Tigro <ashejn@gmail.com> 3.16.1-1
- (e9e5dd6) update to 3.16.1

* Mon Mar 23 2015 Tigro <ashejn@yandex-team.ru> 3.16.0-1
- (b38d8de) update to 3.16.0
- (Tigro: c0ec428) update to 3.16.0

* Tue Mar 17 2015 Tigro <ashejn@gmail.com> 3.15.92-1
- (f470f6c) remove cursor plugin: https://bugzilla.gnome.org/show_bug.cgi?id=744343
- (Tigro: 55c601b) update to 3.15.92

* Tue Mar 10 2015 Tigro <ashejn@yandex-team.ru> 3.15.91-1
- (4bf9739) pack some files
- (Tigro: c465452) added BR: libnm-glib-vpn
- (Tigro: ff9c4c2) added BR: libnm-glib, libnm-util
- (Tigro: 447261c) update to 3.15.91

* Fri Jun 27 2014 Alex Burmashev <alex.burmashev@rosalab.ru> 3.12.2-3
- (8085794) MassBuild#440: Increase release tag

* Mon Jun 16 2014 Tigro <ashejn@gmail.com> 3.12.2-2
- (35c5810) bump release to build against new colord

* Tue May 20 2014 Tigro <ashejn@gmail.com> 3.12.2-1
- (594760b) drop old tarball
- (Tigro: 9b372bd) update to 3.12.2

* Tue Apr 29 2014 Tigro <ashejn@gmail.com> 3.12.1-1
- (d05b76a) fix path again. only /usr/lib for udev rules
- (Tigro: 3c34fc5) fix path
- (Tigro: 08023f5) drop and pack files
- (Tigro: 354f409) added some BRs
- (Tigro: 7ef3302) added BR: xkeyboard-config
- (Tigro: 6b9734b) drop two-finger patch
- (Tigro: cbb1039) drop battery patch
- (Tigro: da7c845) update to 3.12.1

* Tue Feb 11 2014 Tigro <ashejn@gmail.com> 3.8.6.1-1
- (f3ae009) drop background components
- (Tigro: 27a7659) update to 3.8.6.1 and disable background plugin

* Mon Jan 20 2014 Tigro <ashejn@gmail.com> 3.8.5-6
- (990a10a) update two finger patch
- (Tigro: b0020b1) Added patch for two-finger-scrolling checking

* Sat Jan 11 2014 Ural Mullabaev <ural.mullabaev@rosalab.ru> 3.8.5-5
- (ef081d5) Added patch for battery level icon

* Fri Dec 13 2013 Tigro <ashejn@gmail.com> 3.8.5-4
- (2a1da60) drop packagekit files
- (Tigro: 016008d) drop packagekit debend

* Thu Nov 28 2013 Tigro <ashejn@gmail.com> 3.8.5-3
- (990fac5) update russian translations

* Thu Nov 21 2013 Tigro <ashejn@gmail.com> 3.8.5-2
- (5a9122f) fix rosa#3072

* Mon Oct 14 2013 Tigro <ashejn@gmail.com> 3.8.5-1
- (ac6b148) update to 3.8.5


